org.codehaus.plexus.util.xml

## Class Xpp3DomBuilder

- java.lang.Object
- - org.codehaus.plexus.util.xml.Xpp3DomBuilder

    public class Xpp3DomBuilder
    extends java.lang.Object

Version:
  $Id: Xpp3DomBuilder.java 8010 2009-01-07 12:59:50Z vsiveton $

### Constructor Summary

Constructors
Constructor and Description
`Xpp3DomBuilder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Xpp3Dom` `build(java.io.InputStream is, java.lang.String encoding)`
`static Xpp3Dom` `build(java.io.InputStream is, java.lang.String encoding, boolean trim)`
`static Xpp3Dom` `build(java.io.Reader reader)`
`static Xpp3Dom` `build(java.io.Reader reader, boolean trim)`
`static Xpp3Dom` `build(XmlPullParser parser)`
`static Xpp3Dom` `build(XmlPullParser parser, boolean trim)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Xpp3DomBuilder

    public Xpp3DomBuilder()

### Method Detail

#### build

    public static Xpp3Dom build(java.io.Reader reader)
                         throws XmlPullParserException,
                                java.io.IOException

Throws:
  `XmlPullParserException`
  `java.io.IOException`

#### build

    public static Xpp3Dom build(java.io.InputStream is,
                                java.lang.String encoding)
                         throws XmlPullParserException,
                                java.io.IOException

Throws:
  `XmlPullParserException`
  `java.io.IOException`

#### build

    public static Xpp3Dom build(java.io.InputStream is,
                                java.lang.String encoding,
                                boolean trim)
                         throws XmlPullParserException,
                                java.io.IOException

Throws:
  `XmlPullParserException`
  `java.io.IOException`

#### build

    public static Xpp3Dom build(java.io.Reader reader,
                                boolean trim)
                         throws XmlPullParserException,
                                java.io.IOException

Throws:
  `XmlPullParserException`
  `java.io.IOException`

#### build

    public static Xpp3Dom build(XmlPullParser parser)
                         throws XmlPullParserException,
                                java.io.IOException

Throws:
  `XmlPullParserException`
  `java.io.IOException`

#### build

    public static Xpp3Dom build(XmlPullParser parser,
                                boolean trim)
                         throws XmlPullParserException,
                                java.io.IOException

Throws:
  `XmlPullParserException`
  `java.io.IOException`